Subject: [6lo] proposed changes to draft-ietf-6lo-ap-nd before WGLC

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 30 Nov 2017 13:50:07 +0000

Dear WG

I realize that the text on the proof time is somewhat lacking.

          |<---------- NA with ARO (status=proof requested) -|

          |----------- NS with ARO and Crypto-ID ----------->|

The text should indicate that the NA has a nonce option, that the NS has the CIPO and echoes the nonce, and the NS is signed with the public key.

There is text in section 3 about this but I find  it incomplete. We need more text here and maybe to take some off section 3.

                        |<---- NA with ARO (status=proof requested) and Nonce -|

          |----- NS with ARO, CIPO and Nonce options, signed --->|

Do I miss something?

IN 5.3.  Multihop Operation

Text says

   Because of this the content that the source signs and the
   signature needs to be propagated to the 6LBR in the DAR message.  For
   this purpose the DAR message sent by 6LR to 6LBR MUST contain the
   CIPO option.  The DAR message also contains ARO.

This is incorrect; The CIPO does not contain the signature and anyway the LBR cannot challenge the node. It can only tell the 6LR to do so.

I think the rest of the text is correct about that. The 6LBR rejects a DAR message in case of a different OUID and asks for a challenge in case of a different anchor (same OUID but node has moved to a different 6LR). We need to align to section 3 and then again move text off section 3 to here.

Do we agree?

The crypto token is supposed to work for multiple addresses. The computation was changed to use the MAC address as opposed to the prefix. But the CIPO still indicates the prefix and that should be modified too. I suggest:

       0                   1                   2                   3
        0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |     Type      |    Length     |   Pad Length  |  Crypto Type  |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                                                               |
      +                                                               +
      |                                                               |
      +                      Modifier (16 octets)                     +
      |                                                               |
      +                                                               +
      |                                                               |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                                                               |

      +          EUI-64 from device MAC address   (8 octets)          +
      |                                                               |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                                                               |
      |                                                               |
      +                  Public Key (variable length)                 +
      |                                                               |
      |                                                               |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                                                               |
      .                                                               .
      .                           Padding                             .
      .                                                               .
      |                                                               |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Is that a problem?

René was to propose additions and we were to add him as coauthor. Are you still with us René?

Cheers,

Pascal